FREEPLANE(1)

NAME
freeplane - Program for working with Mind Maps.

SYNOPSIS

freeplane [-X menukey] [-S] [-N] [-h] [-U] [--help] [file1] [file2] [...]

DESCRIPTION

freeplane is a free and open source software application that supports thinking, sharing information and getting things done at work, in school and at home. The core of the software is tools for mind mapping (also known as concept mapping or information mapping) and using mapped information.

Occupying the middle ground between an editor and a diagramming tool, Freeplane allows the user to add content as quickly and naturally as they would in a text editor, yet producing structured content that can be manipulated as easily as a diagram.

Features include ordering ideas in nodes and freely positionable nodes, connecting nodes, automatic/conditional styles, scripting, add-ons, LaTeX, search/filtering, different export features, printing, password protection of nodes/maps and more.

See http://freeplane.sourceforge.net/wiki/index.php/Main_Page for a full list of applications and features.

This manual page was written for the Debian(TM) distribution because the original program does not have a manual page. Instead, it has documentation in the Help menu and the Freeplane wiki (http://freeplane.sourceforge.net/wiki/index.php/Main_Page).

OPTIONS

-X menukey
    execute menu item with key menukey. Use devtools add-on to find the menu keys

-S
    stop after executing menu items

-N
    set the 'nonInteractive' system property to 'true'

-U userdir
    set the freeplane user config directory

-h --help
    Show summary of options.

You can find more detailed descriptions of all command line options and environment variables as well as help for batch execution commands (-X/-S/-N) in the Wiki page: http://freeplane.sourceforge.net/wiki/index.php/Command-line_options

ENVIRONMENT VARIABLES

JAVA_OPTS
    Set Java Properties, e.g. set the freeplane user config directory: JAVA_OPTS=-Dorg.freeplane.userfpdir=$HOME/.myfp freeplane

DEBUG
    Start Freeplane in debug mode (if you have problems starting): DEBUG=true freeplane

FREEPLANE_JAVA_HOME
    Prefix of Java(>=8) installation to use (Freeplane only)

JAVA_HOME
    Prefix of Java(>=8) installation to use (many Java applications)

NEW FEATURES IN 1.7.X

Full Java11 support, requires Java8

Freeplane API
    There is a comprehensive API layer for manipulation of Freeplane files (supports headless mode)

References to other mind maps from formulas and scripts

Node aliases, global nodes, export for selected branches only, URLs like #at(:~someNodeAlias), ...

NEW FEATURES IN 1.6.X

SVG Icons
    All icons are SVGs, the size can be changed per node via the Tools panel.

Presentations
    Very powerful presentations can be created via the Tools panel. If you have questions about the usage, post in the discussion forum.

NEW FEATURES IN 1.5.X

Please open the what's new map: Help->Whats new in Freeplane 1.5.x.

NEW FEATURES IN 1.3.X

Docking windows
    You can rearrange and (un-)dock Mindmap windows.

LaTeX integration
    You can make use of LaTeX formulas within each node by using a \latex prefix or by setting Format=LaTeX. Automatic linebreaks as well as syntax highlighting is supported. Read more here: http://freeplane.sourceforge.net/wiki/index.php/LaTeX_in_Freeplane

Openstreetmap integration
    You can associate a geographical location with a node. See more information in the wiki: http://freeplane.sourceforge.net/wiki/index.php/Open_Street_Map_Plugin

Scripting and Add-on improvements
    See the list of available add-ons: http://freeplane.sourceforge.net/wiki/index.php/Add-ons

    If you want to get started developing add-ons, post in the forum: http://www.freeplane.org/discussion

Many more improvements...
    Please see the changelog at /usr/share/doc/freeplane/changelog.gz.

KNOWN ISSUES

    • There are rendering issues (probably due to OpenJDK), i.e. distortions when scrolling horizontally or vertically. Possible workarounds are described on a wiki page: http://freeplane.sourceforge.net/wiki/index.php/Rendering_Issues

    • Sometimes keypresses get lost when running ibus-daemon: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714524

    • The Debian package does not include the signed applet code. That's why most applets won't run[1] after creating an applet export from the Debian package. You can ask for the signed applet in the open discussion forum: http://www.freeplane.org/discussion

    • The Freeplane flash export has been excluded, because Debian devs (among them the flash compiler package maintainer) prefer free technologies. You can ask for the 'freeplane-flash-browser' deb in the open discussion forum: http://www.freeplane.org/discussion

SEE ALSO

Much documentation is available from the Freeplane wiki under http://www.freeplane.org/.

There is an open discussion forum at http://www.freeplane.org/discussion, which is the place to ask questions.

Report bugs here: http://www.freeplane.org/bugs and feature requests here: http://www.freeplane.org/requests

If you want to contribute to the Freeplane project, join us at http://freeplane-developer.996969.n3.nabble.com/ !

AUTHOR

This manual page was written by Eric Lavarde <deb@zorglub.s.bawue.de> for the Debian(TM) system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License, Version 2 can be found in /usr/share/common-licenses/GPL-2.

AUTHORS

Eric Lavarde <deb@zorglub.s.bawue.de>
    Author.

Felix Natter <fnatter@gmx.net>
    Author.

COPYRIGHT
Copyright © 2016 Eric Lavarde and Felix Natter

NOTES

1.  most applets won't run
    http://www.duckware.com/tech/java-security-clusterfuck.html